{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>my tasks</h1>
            {% if tasks %}
                <table class="styled-table">
                    <thead>
                        <tr>
                            <th>name</th>
                            <th>start date</th>
                            <th>due date</th>
                            <th>is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in tasks %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td>{{ task.is_completed|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>you have no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
